Loading...
Searching...
No Matches
pcl::StereoGrabber< PointT > Class Template Reference

`#include <pcl/stereo/stereo_grabber.h>`

Inheritance diagram for pcl::StereoGrabber< PointT >:

## Public Member Functions

| StereoGrabber (const std::pair< std::string, std::string > &pair_files, float frames_per_second=0, bool repeat=false)
| StereoGrabber (const std::vector< std::pair< std::string, std::string > > &files, float frames_per_second=0, bool repeat=false)
Public Member Functions inherited from pcl::StereoGrabberBase
| StereoGrabberBase (const std::pair< std::string, std::string > &pair_files, float frames_per_second, bool repeat)
| Constructor taking just one Stereo pair.
| StereoGrabberBase (const std::vector< std::pair< std::string, std::string > > &files, float frames_per_second, bool repeat)
| Constructor taking a list of paths to Stereo pair files, that are played in the order they appear in the list.
| ~StereoGrabberBase () noexcept override
| Virtual destructor.
void | start () override
| Starts playing the list of Stereo images if frames_per_second is > 0.
void | stop () override
| Stops playing the list of Stereo images if frames_per_second is > 0.
virtual void | trigger ()
| Triggers a callback with new data.
bool | isRunning () const override
| whether the grabber is started (publishing) or not.
std::string | getName () const override
virtual void | rewind ()
| Rewinds to the first pair of files in the list.
float | getFramesPerSecond () const override
| Returns the frames_per_second.
bool | isRepeatOn () const
| Returns whether the repeat flag is on.
Public Member Functions inherited from pcl::Grabber
| Grabber ()=default
| Default ctor.
| Grabber (const Grabber &)=delete
| No copy ctor since Grabber can't be copied.
Grabber & | operator= (const Grabber &)=delete
| No copy assign operator since Grabber can't be copied.
| Grabber (Grabber &&)=default
| Move ctor.
Grabber & | operator= (Grabber &&)=default
| Move assign operator.
virtual | ~Grabber () noexcept=default
| virtual destructor.
template<typename T>
boost::signals2::connection | registerCallback (const std::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature
template<typename T>
bool | providesCallback () const noexcept
| indicates whether a signal with given parameter-type exists or not
bool | toggle ()
| For devices that are streaming, stopped streams are started and running stream are stopped.

## Protected Member Functions

void | publish (const pcl::PCLPointCloud2 &blob, const Eigen::Vector4f &origin, const Eigen::Quaternionf &orientation) const override
Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T>
boost::signals2::signal< T > * | find_signal () const noexcept
template<typename T>
int | num_slots () const noexcept
template<typename T>
void | disconnect_all_slots ()
template<typename T>
void | block_signal ()
template<typename T>
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T>
boost::signals2::signal< T > * | createSignal ()

## Protected Attributes

boost::signals2::signal< void(const typename pcl::PointCloud< PointT >::ConstPtr &)> * | signal_
Protected Attributes inherited from pcl::Grabber
std::map< std::string, std::unique_ptr< boost::signals2::signal_base > > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

template<typename PointT>
class pcl::StereoGrabber< PointT >

Definition at line 127 of file stereo_grabber.h.

## Constructor & Destructor Documentation

## StereoGrabber() [1/2]

template<typename PointT>

pcl::StereoGrabber< PointT >::StereoGrabber | ( | const std::pair< std::string, std::string > & | pair_files,
|  | float | frames_per_second = 0,
|  | bool | repeat = false )

Definition at line 148 of file stereo_grabber.h.

References pcl::Grabber::createSignal(), signal_, StereoGrabber(), and pcl::StereoGrabberBase::StereoGrabberBase().

Referenced by StereoGrabber().

## StereoGrabber() [2/2]

template<typename PointT>

pcl::StereoGrabber< PointT >::StereoGrabber | ( | const std::vector< std::pair< std::string, std::string > > & | files,
|  | float | frames_per_second = 0,
|  | bool | repeat = false )

Definition at line 159 of file stereo_grabber.h.

References pcl::Grabber::createSignal(), signal_, and pcl::StereoGrabberBase::StereoGrabberBase().

## Member Function Documentation

## publish()

template<typename PointT>

void pcl::StereoGrabber< PointT >::publish | ( | const pcl::PCLPointCloud2 & | blob,
|  | const Eigen::Vector4f & | origin,
|  | const Eigen::Quaternionf & | orientation ) const

override protected virtual

Implements pcl::StereoGrabberBase.

Definition at line 171 of file stereo_grabber.h.

References pcl::fromPCLPointCloud2(), pcl::PointCloud< PointT >::sensor_orientation_, pcl::PointCloud< PointT >::sensor_origin_, and signal_.

## Member Data Documentation

## signal_

template<typename PointT>

boost::signals2::signal<void(const typename pcl::PointCloud<PointT>::ConstPtr&)>* pcl::StereoGrabber< PointT >::signal_

protected

Definition at line 143 of file stereo_grabber.h.

Referenced by publish(), StereoGrabber(), and StereoGrabber().

The documentation for this class was generated from the following file:

- pcl/stereo/stereo_grabber.h